<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "tracking_activity".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "TrackingActivity".
 *
 * Columns in table "tracking_activity" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $site_id
 * @property integer $tracking_activity_type_id
 * @property string $date
 * @property string $remote_address
 * @property string $user_agent
 *
 */
abstract class BaseTrackingActivity extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'tracking_activity';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'TrackingActivity|TrackingActivities', $n);
    }

    public static function representingColumn()
    {
        return 'date';
    }

    public function rules()
    {
        return array(
            array('site_id, tracking_activity_type_id, date', 'required'),
            array('site_id, tracking_activity_type_id', 'numerical', 'integerOnly' => true),
            array('remote_address', 'length', 'max' => 20),
            array('user_agent', 'length', 'max' => 255),
            array('remote_address, user_agent', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, site_id, tracking_activity_type_id, date, remote_address, user_agent', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'site_id' => Yii::t('app', 'Site'),
            'tracking_activity_type_id' => Yii::t('app', 'Tracking Activity Type'),
            'date' => Yii::t('app', 'Date'),
            'remote_address' => Yii::t('app', 'Remote Address'),
            'user_agent' => Yii::t('app', 'User Agent'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('site_id', $this->site_id);
        $criteria->compare('tracking_activity_type_id', $this->tracking_activity_type_id);
        $criteria->compare('date', $this->date, true);
        $criteria->compare('remote_address', $this->remote_address, true);
        $criteria->compare('user_agent', $this->user_agent, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
